SYSTEMD-CGLS(1)

BEZEICHNUNG
systemd-cgls - Rekursiv Control-Gruppen-Inhalte anzeigen

ÜBERSICHT

systemd-cgls [OPTIONEN…] [CGROUP…]

systemd-cgls [OPTIONEN…] --unit|--user-unit [UNIT…]

BESCHREIBUNG

systemd-cgls zeigt die Inhalte der ausgewählten Linux-Control-Gruppen-Hierarchie rekursiv in einem Baum an. Falls Argumente festgelegt sind, werden alle Mitgliederprozesse der festgelegten Control-Gruppen sowie alle ihrer Untergruppen und ihrer Mitglieder angezeigt. Die Control-Gruppen können entweder durch ihren kompletten Dateipfad festgelegt werden oder es wird angenommen, dass sie in der Systemd-Control-Gruppen-Hierarchie sind. Falls kein Argument festgelegt ist und das aktuelle Arbeitsverzeichnis unterhalb des Einhängepunktes /sys/fs/cgroup der Control-Gruppe ist, wird der Inhalt der Control-Gruppe, auf die sich das Arbeitsverzeichnis bezieht, angezeigt. Andernfalls wird die komplette Systemd-Control-Gruppen-Hierarchie angezeigt.

Standardmäßig werden leere Gruppen nicht angezeigt.

OPTIONEN

Die folgenden Optionen werden verstanden:

--all
    Leere Control-Gruppen in der Ausgabe nicht verstecken.

-l, --full
    Prozessbaumeinträge nicht verkürzen.

-u, --unit
    CGroup-Unterbäume für die festgelegten Units anzeigen.

--user-unit
    CGroup-Unterbäume für die festgelegten Benutzer-Units anzeigen.

-k
    Kernel-Threads in die Ausgabe aufnehmen.

-M MASCHINE, --machine=MASCHINE
    Angezeigte Control-Gruppen auf den dem Container MASCHINE entsprechenden Teil einschränken.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), systemctl(1), systemd-cgtop(1), systemd-nspawn(1), ps(1)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.